"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.getBelongsToDirectiveTransformer = void 0;
const belongs_to_directive_sql_transformer_1 = require("./belongs-to-directive-sql-transformer");
const belongs_to_directive_ddb_fields_transformer_1 = require("./belongs-to-directive-ddb-fields-transformer");
const getBelongsToDirectiveTransformer = (dbType) => {
    switch (dbType) {
        case 'MYSQL':
        case 'POSTGRES':
            return new belongs_to_directive_sql_transformer_1.BelongsToDirectiveSQLTransformer(dbType);
        case 'DYNAMODB':
            return new belongs_to_directive_ddb_fields_transformer_1.BelongsToDirectiveDDBFieldsTransformer(dbType);
    }
};
exports.getBelongsToDirectiveTransformer = getBelongsToDirectiveTransformer;
//# sourceMappingURL=belongs-to-directive-transformer-factory.js.map