"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.getHasManyDirectiveTransformer = void 0;
const has_many_directive_ddb_fields_transformer_1 = require("./has-many-directive-ddb-fields-transformer");
const has_many_directive_sql_transformer_1 = require("./has-many-directive-sql-transformer");
const getHasManyDirectiveTransformer = (dbType) => {
    switch (dbType) {
        case 'MYSQL':
        case 'POSTGRES':
            return new has_many_directive_sql_transformer_1.HasManyDirectiveSQLTransformer(dbType);
        case 'DYNAMODB':
            return new has_many_directive_ddb_fields_transformer_1.HasManyDirectiveDDBFieldsTransformer(dbType);
    }
};
exports.getHasManyDirectiveTransformer = getHasManyDirectiveTransformer;
//# sourceMappingURL=has-many-directive-transformer-factory.js.map